using MindFusion.Diagramming.Wpf;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Media;

namespace SvgExportIssues;

public class TextNode : DiagramNode
{   
    public override void Draw(DrawingContext graphics, MindFusion.Diagramming.Wpf.RenderOptions options)
    {
        var formattedText = new FormattedText("Text-*+*&$%",
            CultureInfo.InvariantCulture,
            FlowDirection.LeftToRight,
            new Typeface("Arial"),
            100,
            new SolidColorBrush(Color.FromRgb(0, 0, 0)),
            1);
        graphics.DrawText(formattedText, GetCenter());
    }
}